;(function() {
    //含有需要适配的样式，抽出来
	
     var styleStr='.base{margin-left:10px;margin-right:10px;margin-top:10px;margin-bottom:10px}p{font-size:16px}.title{font-size:18px;padding-top:15px}.small_img{width:35px;height:35px;margin-right:10px;margin-top:10px;margin-bottom:10px}.detail{margin-top:1px;margin-left:13px;margin-right:8px}.line{text-indent:35px;margin-bottom:5px}.more{margin-left:23px;margin-right:18px;text-indent:34px}.img1{margin-top:10px;margin-bottom:10px;width:360px;height:244px}.img2{margin-top:10px;margin-bottom:10px;width:360px;height:333px}.img3{margin-top:10px;margin-bottom:10px;width:360px;height:164px}.img4{margin-top:10px;margin-bottom:10px;width:360px;height:250px}.line{margin-bottom:6px}';

       adpAllStyle(styleStr);

    function adpAllStyle(styleStr) {
       var adpAry = [240,270,280, 320, 360,375,414, 480, 540, 576,600,640, 720,750, 768, 800, 1080, 1280,1152,1200,1242,1440,1536];  //需要适配的分辨率
        var newStyleStr = '';
        for (var i = 0; i < adpAry.length; i++) {
            getStyleStr(i);
        }

        var head = document.getElementsByTagName('head')[0];
        var tag = document.createElement("style");
        tag.appendChild(document.createTextNode(newStyleStr));
        head.appendChild(tag);  //样式生成

        function getStyleStr(i) {  //分辨率换算，并生成新的样式字符串
            var str = styleStr.replace(/-?\d+\.?\d*px/g, function(e) {
                var num = parseFloat(e);
                if (num === 1 || num === -1 || num === 0)
                    return num + 'px';
                var a = num * adpAry[i] / 360;  //这里以360 做标配
                if (a > 0 && a < 1) {
                    a = 1;
                } else if (a > -1 && a < 0) {
                    a = -1;
                }
                return a + "px";
            });
            newStyleStr += '@media(min-width:' + (adpAry[i] - 1) + 'px){' + str + '}';  //响应式适配
        }
    }
})();